#!/usr/bin/perl -w

#$Header: /home2/cvsroot/LogTrend/StorageServer/AddSource/SourceAdder.pm,v 1.2 2001/06/07 14:25:41 slhullier Exp $
##******************************************************************************
## Class SourceAdder  virtual
##  Description  : generic class for adding a new source into database
##  Project      : LogTrend 1.0.0.0 - Atrid Systemes
##  Author       : Sylvain Lhullier s.lhullier@atrid.fr (02.03.2001)
##******************************************************************************
#$Log: SourceAdder.pm,v $
#Revision 1.2  2001/06/07 14:25:41  slhullier
#
#Passage de  unshift @INC,'..';  aux packages Logtrend::....
#
#Revision 1.1  2001/03/02 13:42:44  slhullier
#
#AddSource fonctionne.
#

use strict;

package LogTrend::StorageServer::AddSource::SourceAdder;

##******************************************************************************
## Constructor  public
##  Parameters   : none
##******************************************************************************
sub new
{
  my ($classname) = @_;
  my $self = {};
  bless($self, $classname);
  return $self;
}

##******************************************************************************
## Function Connect  public virtual
##  Description  : starts the connection to the database
##  Parameters   : database name, host name of the database, port number of the
##                 database, database user, database user's password
##  Return value : none
##******************************************************************************
sub Connect
{
}

##******************************************************************************
## Function Disconnect  public virtual
##  Description  : achieves the diconnection from a database server
##  Parameters   : none
##  Return value : none
##******************************************************************************
sub Disconnect
{
}

##******************************************************************************
## Function Create_New_Source  public virtual
##  Description  : create a new source in the database
##  Parameters   : the source's password, a reference to an hash table
##                 containing informations
##  Return value : none
##******************************************************************************
sub Create_New_Source
{
}

##******************************************************************************
1;
