#!/usr/bin/perl -w

#$Header: /home2/cvsroot/LogTrend/StorageServer/UpdateSource/SourceUpdater.pm,v 1.1 2001/11/16 10:25:18 lsimonneau Exp $
##******************************************************************************
## Class SourceUpdater  virtual
##  Description  : generic class for updateing a new source into database
##  Project      : LogTrend 1.0.0.0 - Atrid Systemes
##  Author       : Sylvain Lhullier s.lhullier@atrid.fr (02.03.2001)
##******************************************************************************
#$Log: SourceUpdater.pm,v $
#Revision 1.1  2001/11/16 10:25:18  lsimonneau
#Major feature enhancement : Implementation of authentification with RSA signature.
#
#IMPORTANT : This StorageServer is incompatible with older version.
#
#Revision 1.2  2001/06/07 14:25:41  slhullier
#
#Passage de  unshift @INC,'..';  aux packages Logtrend::....
#
#Revision 1.1  2001/03/02 13:42:44  slhullier
#
#UpdateSource fonctionne.
#

use strict;

package LogTrend::StorageServer::UpdateSource::SourceUpdater;

##******************************************************************************
## Constructor  public
##  Parameters   : none
##******************************************************************************
sub new
{
  my ($classname) = @_;
  my $self = {};
  bless($self, $classname);
  return $self;
}

##******************************************************************************
## Function Connect  public virtual
##  Description  : starts the connection to the database
##  Parameters   : database name, host name of the database, port number of the
##                 database, database user, database user's password
##  Return value : none
##******************************************************************************
sub Connect
{
}

##******************************************************************************
## Function Disconnect  public virtual
##  Description  : achieves the diconnection from a database server
##  Parameters   : none
##  Return value : none
##******************************************************************************
sub Disconnect
{
}

##******************************************************************************
## Function Update_Source  public virtual
##  Description  : update a source in the database
##  Parameters   : the source's public key filename, the source id
##  Return value : none
##******************************************************************************
sub Update_Source
{
}

##******************************************************************************
1;
